# Generated by Cargo
# will have compiled files and executables
debug/
target/

# Remove Cargo.lock from gitignore if creating an executable, leave it for libraries
# More information here https://doc.rust-lang.org/cargo/guide/cargo-toml-vs-cargo-lock.html
# Cargo.lock

# These are backup files generated by rustfmt
**/*.rs.bk

# MSVC Windows builds of rustc generate these, which can generally be ignored
*.pdb
*.lib
*.exp

# OS Generated
.DS_Store
.DS_Store?
._*
.Spotlight-V100
.Trashes
ehthumbs.db
Thumbs.db

# Databases & Persistence
*.sqlite
*.sqlite3
*.db
*.db-journal
bookmarks.toml

# Environment variables
.env
.env.*

# Audio Dumps from Debugging Strategy
raw_mic.wav
post_dsp.wav
post_opus_decode.wav
